net.sf.jasperreports.engine.fill

## Class JRFillParameter

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillParameter

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRParameter, JRPropertiesHolder, JRValueParameter
  Direct Known Subclasses:
    JRFillCrosstabParameter

      public class JRFillParameter
      extends java.lang.Object
      implements JRValueParameter

  Version:
    $Id: JRFillParameter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRParameter` | `parent`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParameter

      `FILTER, IS_IGNORE_PAGINATION, JASPER_REPORT, JASPER_REPORTS_CONTEXT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_CONTEXT, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillParameter(JRParameter parameter, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getDefaultValueExpression()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getName()`
    `java.lang.Class<?>` | `getNestedType()` Returns the parameter nested value type.
    `java.lang.String` | `getNestedTypeName()` Returns the name of the parameter nested value type.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.lang.Object` | `getValue()` Returns the value assigned to the parameter.
    `java.lang.Class<?>` | `getValueClass()`
    `java.lang.String` | `getValueClassName()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `boolean` | `isForPrompting()`
    `boolean` | `isSystemDefined()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setValue(java.lang.Object value)` Assigns the value to the parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRParameter parent

  - ### Constructor Detail

    - #### JRFillParameter

          protected JRFillParameter(JRParameter parameter,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `JRParameter`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `JRParameter`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Specified by:
        `setDescription` in interface `JRParameter`

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Specified by:
        `getValueClass` in interface `JRParameter`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Specified by:
        `getValueClassName` in interface `JRParameter`

    - #### getNestedType

          public java.lang.Class<?> getNestedType()

      Description copied from interface: `JRParameter`
      Returns the parameter nested value type.

      The parameter nested value type is used when the parameter value class is not sufficient in determining the expected type of the parameter values. The most common such scenario is when the parameter value class is `Collection` or a derived class, in which case the nested type specifies the type of values which are to be placed inside the collection.

      Specified by:
        `getNestedType` in interface `JRParameter`
      Returns:
        the nested value type for this parameter, or `null` if none set
      See Also:
        `JRParameter.getValueClass()`

    - #### getNestedTypeName

          public java.lang.String getNestedTypeName()

      Description copied from interface: `JRParameter`
      Returns the name of the parameter nested value type.
      Specified by:
        `getNestedTypeName` in interface `JRParameter`
      Returns:
        the name of the nested value type for this parameter, or `null` if none set
      See Also:
        `JRParameter.getNestedType()`

    - #### isSystemDefined

          public boolean isSystemDefined()

      Specified by:
        `isSystemDefined` in interface `JRParameter`

    - #### isForPrompting

          public boolean isForPrompting()

      Specified by:
        `isForPrompting` in interface `JRParameter`

    - #### getDefaultValueExpression

          public JRExpression getDefaultValueExpression()

      Specified by:
        `getDefaultValueExpression` in interface `JRParameter`

    - #### getValue

          public java.lang.Object getValue()

      Description copied from interface: `JRValueParameter`
      Returns the value assigned to the parameter.
      Specified by:
        `getValue` in interface `JRValueParameter`
      Returns:
        the value assigned to the parameter

    - #### setValue

          public void setValue(java.lang.Object value)

      Description copied from interface: `JRValueParameter`
      Assigns the value to the parameter.
      Specified by:
        `setValue` in interface `JRValueParameter`
      Parameters:
        `value` - the value assigned to the parameter

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com